#!/bin/bash

# Times like fonts 
#fonts="times mathptmx pslatex newcent palatino lmodern"

# Using all the fonts in the texlive-recommended-fonts package

if [ ! -d PDFS ]; then
    mkdir PDFS
fi
if [ ! -d JPGS ]; then
    mkdir JPGS
fi

for font in $(cat texlive-working-fonts.txt); do
    if [ ! -e PDFS/font-$font.pdf ]; then
        echo "### Creating $font"
        if [ $font = "standardlatex" ]; then
            sed "s/%placeholder//g" document.tex > font-$font.tex
        else
            sed "s/%placeholder/\\\usepackage\{$font\}/g" document.tex > font-$font.tex
        fi
    	pdflatex font-$font.tex
        convert font-$font.pdf font-$font.jpg
        mv font-$font.pdf PDFS/
        mv font-$font.jpg JPGS/
        rm -f font-$font.tex font-$font.log font-$font.aux
    else
        echo "### PDF for font: $font already exist"
    fi
done
